Updating VirtualBox problems

Update to 7.4 from 6 falls over. Guest o/s not working

Hi,

I thought I followed the instructions correctly on the VB site however something has gone awry.

Everything says VB 7 is loaded okay but when I try to start my Linux guest o/s I get the following error.

The initial 6.138 VB was installed from the Linux Zorin 16.2 (ubuntu 20.04)options then updated ti now.
This update was from the VB official download page selecting ubuntu 20. 04

How do I correct please?

RTR3InitEx failed with rc=-1912 (fRtFlags=0x10000) (rc=-1912)
The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing
'/sbin/vboxconfig'
may correct this. Make sure that you are not mixing builds of VirtualBox from different sources.
where: supR3HardenedMainInitRuntime what: 4 VERR_VM_DRIVER_VERSION_MISMATCH (-1912) - The installed support driver doesn't match the version of the user.

1 Like

I would play safe and remove VB from your system completely. First be sure to backup any vhd images.

(Code icon not showing on my Zorin App)

sudo apt-get purge virtualbox

It might be that VB is becoming more OS specific and looking for OS identification suggested by your issues. I much prefer Virt Manager (Virtual Machine Manager) and you can import your VB images into Virt Manager. If sticking with VB I would stick to the version in the Software channel.

1 Like

Thank you swarfendor437. The VB Official Forum also suggest purge and reinstall.

Try purging everything related to Virtualbox from your host, except Virtualbox.xml and the VMs. Then run the prerequisites and official Virtualbox install again https://www.virtualbox.org/manual/ch02. ... nux-prereq.

I don't mind doing the dirty deed and purging but the last thing I need is to lose all my work, folders etc.

Does the above command you suggest leave all my stuff alone for either the much improved VB7 or as you suggest VMM ?

Once I know that I will bite the bullet. !

I am trying to purge VB and have used the command however I still see 3 VB,s in Software Utilities. They are all for the same 6.1.3 version and only give an option to Install it.

In the Menu option System Tools I see Oracle VB and when I click this I get Version 7 which is the one I am trying to purge because the kernel does not go with Z evidently so I only need to stay with 6.1 until that is resolved.

Where do I go from here ?

Thanks

I suggest you try looking for solutions yourself first. A very simple google search gives all the resources for older builds of VB. My search term "old builds of Virtualbox"...

This was the first result....

https://www.virtualbox.org/wiki/Download_Old_Builds

It would have been less effort to simply search google yourself than to post on the forum to have others look it up for you.

My post had nothing to do with looking for older builds. I see the one in Software which is fine.

I am trying to delete a copy (Version 7) of the the VB program which is evidently incompatible with Z16.2

I have used the terminal to do this but it does not uninstall.

While I am doing this, I see 3 instances of the default version VB in Software. How come 3 of the same version? I can't install one of them until I purge version 7. Just get errors.

Please check

snap list

flatpak list

and see if VB is installed as either of those.

Thank you Aravision. Just before I saw your post I found the commnad to check what programs were installed and saw only two. The Vs 7 and Vs 6.1. I got the correct name of 7 and decided to do a remove then purge. It worked and not only took out 7 but 6.1 as well so there were no VB's installed.

I decided to try 7 to see if it did or didn't work on a clean install, not an update which is what I did.

I am using it now as I write and so far it is fine, although will not bet my wife on it., then again :slight_smile:

I have apache up and running and so far back to what looks like a good running Z16.2. I'm glad because it is a a very good replacement for those like myself who have been totally absorbed by Windows since it's inception.

Whilst since my younger days I have using with machine code, then dos, basic and onwards so have had a life of commands but now prefer GUI and that's what I like about Z16.2 It does replicate much of Windows.
Anyway all good except the port 443certificate problem which still haunts me.

1 Like

Is this any help?

Thank you. I'll take a look asap.

So sorry. I'd answered multiple VB questions and must have mixed my replies.

You're welcome. Easy to do. Have a nice day :slight_smile:

Glad you got sorted. You should give Virt Manager a try. The desktop of a Windows 8.1 Pro 32-bit looks like a hard metal install rather than a VM. Also good USB 3.0 support compared to VB. It takes a bit of getting used to but what I did like when using two monitors the mousepointer from the VM became the mousepointer for the host OS when moving from VM screen to Host screen, no need to press right Ctrl key to release the pointer from the VM.

Thanks swarfendor437, I'm going to add it tomorrow when I get the time to see how we go. You're right, it gets some good reviews out there in la la land.

EDIT:
Loaded 2.2.1 and now checking youtube tutors. Hopefully both VB and VM can run at the same time with guests os.